/*
 * captureCtrlC
 * 
 * Handles CTRL+C interrupt for emergency cases
 *
 * Mattijs Korpershoek
 * <mattijs.korpershoek@gmail.com>
 */
#include <stdlib.h>
#include <signal.h>

// called when CTRL+C
static inline void signalExit(int arg)
{
  pwm.setSpeedAll(MIN_SPEED_TICKS);
  exit(0);
}

int main(int argc, const char *argv[])
{
  // set signalExit function to be executed when capturing Ctrl+C
  signal(SIGINT, signalExit);
  for(;;);
  return (0);
}
